Skip to content

Endpoint

  • Method: GET
  • Path: /bookings
  • Edition: Core
  • Controller: BookingController@getBookings
  • Route source: fluent-booking/app/Http/Routes/api.php:63
  • Policy: CalendarEventPolicy

Get Bookings

GET
/bookings

Handler: BookingController@getBookings. Source: fluent-booking/app/Http/Routes/api.php:63.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Responses

Successful response.

application/json
JSON
{
"bookings": [
{
"id": 0,
"hash": "string",
"calendar_id": 0,
"event_id": 0,
"group_id": 0,
"fcrm_id": {
},
"parent_id": {
},
"host_user_id": 0,
"person_user_id": 0,
"person_contact_id": {
},
"person_time_zone": "string",
"start_time": "string",
"end_time": "string",
"slot_minutes": 0,
"first_name": "string",
"last_name": "string",
"email": "string",
"message": "string",
"internal_note": "string",
"phone": "string",
"country": "string",
"ip_address": "string",
"browser": "string",
"device": "string",
"other_info": "string",
"location_details": "string",
"cancelled_by": {
},
"status": "string",
"source": "string",
"booking_type": "string",
"event_type": "string",
"payment_status": {
},
"payment_method": {
},
"source_url": "string",
"source_id": {
},
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"utm_term": "string",
"utm_content": "string",
"created_at": "string",
"updated_at": "string"
}
],
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"from": 0,
"to": 0
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI